### Class

# Phosh BtManager

#### Description [src]

    final class Phosh.BtManager : Phosh.Manager
    {
      /* No available fields */
    }

Tracks the Bluetooth status

`PhoshBtManager` tracks the Bluetooth status that is whether the adapter is present and enabled.

#### Ancestors

- PhoshManager
- GObject

#### Constructors

###### phosh_bt_manager_new

No description available.

#### Instance methods

###### phosh_bt_manager_connect_device_async

No description available.

###### phosh_bt_manager_connect_device_finish

No description available.

###### phosh_bt_manager_get_connectable_devices

Gets the currently connectable devices.

###### phosh_bt_manager_get_enabled

No description available.

###### phosh_bt_manager_get_icon_name

No description available.

###### phosh_bt_manager_get_info

No description available.

###### phosh_bt_manager_get_n_connected

No description available.

###### phosh_bt_manager_get_present

No description available.

###### phosh_bt_manager_set_enabled

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.BtManager:enabled

No description available.

###### Phosh.BtManager:icon-name

No description available.

###### Phosh.BtManager:info

If only a single device is connected this gives details about it.

###### Phosh.BtManager:n-connected

The number of currently connected Bluetooth devices.

###### Phosh.BtManager:n-devices

The number of connectable Bluetooth devices.

###### Phosh.BtManager:present

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PhoshBtManagerClass {
      PhoshManagerClass parent_class;

    }

No description available.

###### Class members

`parent_class: PhoshManagerClass`

  No description available.